/*
	DarkSide 4.0 - a 7.0 dependant, system clean expandable screen saver.
	
	copyright 1990-1994 by Tom Dowdy
	All rights reserved.
	
*/
#define systemSevenOrLater	1
#include "Types.r"
#include "SysTypes.r"

#include "BalloonTypes.r"

// amount of room you have to work with in your fader dialog
#define areaHeight 				180
#define areaWidth 				310

// slider control resource
type 'SCTL' {
	integer=$$Countof(ValueStringPairs);
	Array ValueStringPairs {
		integer;	// display string if value >= this value
		pstring;	// string to display
	};
};

// screen depth preferences, ID == 5000 specifies the depths your fader would like
// the first matching depth that the device supports is selected, so you
// should order this list in decending preferences.  If none of the depths match,
// then no change is made to the GDevice.
#define noFlags		0x0000
#define colorDevice	0x0001
type 'DEEP' {
	integer = $$CountOf(DepthPreferencesList);
	array DepthPreferencesList {
		integer;			// preferred depth
		integer;			// whichFlags
		integer;			// flags
		};
};

// ID = 0 specifies the type of sound channel your fader would like to have
#define squareWaveSynth	1
#define waveTableSynth	3
#define sampledSynth	5
type 'Chnl' {
	integer;
};

// dialog control list
type 'DCTL' {
	integer = $$CountOf(DCTLArray);
	array DCTLArray {
		integer;			// item number - zero for expressing cluster ranges
		integer;			// minValue for grouped items
		integer;			// maxValue for grouped items
		integer;			// setting index, 0-19 for shorts, 20-23 for strings
		};
};

// default settings
type 'DFLT' {
	array Shorts {
		integer;			// range of shorts
		};
		
	array Strings {
		pstring;
		};
};

// String that displays when the user clicks on the help items in the dialog
type 'HELP' {
	string;
};

#ifndef COMPILINGDARKSIDE
	// application name this document requires
	resource 'STR ' (-16396, purgeable) {
		"DarkSide of the Mac 4.2"
	};
	
	#ifndef DONOTINCLUDEVERSION
		// version info of this fader
		resource 'vers' (1, purgeable) {
			0x04, 0x02, release, 0x00, verUS,
			"4.2",
			"4.2 (US),  Tom Dowdy, 1990-94"
		};
		
		// major version of DarkSide required to run this fader
		resource 'vers' (2, purgeable) {
			0x04, 0x02, release, 0x00, verUS,
			"4.2",
			"(for DarkSide of the Mac 4.2)"
		};
	#endif

#endif
